The Spring Framework

## org.springframework.web.portlet.handler
Interface AbstractMapBasedHandlerMapping.PortletRequestMappingPredicate

All Superinterfaces:
  Comparable

Enclosing class:
  AbstractMapBasedHandlerMapping

    protected static interface AbstractMapBasedHandlerMapping.PortletRequestMappingPredicate

extends Comparable

Predicate interface for determining a match with a given request.

Method Summary
`boolean` `match(javax.portlet.PortletRequest request)` Determine whether the given request matches this predicate.

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### match

    boolean match(javax.portlet.PortletRequest request)

  Determine whether the given request matches this predicate.

  Parameters:
    `request` - current portlet request

The Spring Framework

Copyright © 2002-2008 The Spring Framework.